Change in osmo-dev[master]: exit if xterm was not found

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Fri Sep 28 10:16:19 UTC 2018


osmith has uploaded this change for review. ( https://gerrit.osmocom.org/11143


Change subject: exit if xterm was not found
......................................................................

exit if xterm was not found

Change-Id: Ie823e17ff1e7ad3ba23998233b41a810c90858b3
---
M net/tmpl_std/run.sh
1 file changed, 2 insertions(+), 1 deletion(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-dev refs/changes/43/11143/1

diff --git a/net/tmpl_std/run.sh b/net/tmpl_std/run.sh
index 590b3c8..4d45686 100755
--- a/net/tmpl_std/run.sh
+++ b/net/tmpl_std/run.sh
@@ -41,7 +41,8 @@
   fi
   terminal="$(which urxvt || which xterm)"
   if ! which $terminal; then
-    echo "CANNOT FIND XTERM PROGRAM"
+    echo "ERROR: Couldn't find urxvt or xterm!"
+    exit 1
   fi
   exec $terminal -title "CN:$title" -e sh -c "export LD_LIBRARY_PATH='/usr/local/lib'; $1; echo; while true; do echo 'q Enter to close'; read q_to_close; if [ \"x\$q_to_close\" = xq ]; then break; fi; done"
 }

-- 
To view, visit https://gerrit.osmocom.org/11143
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: Ie823e17ff1e7ad3ba23998233b41a810c90858b3
Gerrit-Change-Number: 11143
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20180928/0bf518f3/attachment.htm>


More information about the gerrit-log mailing list